package com.yizhi.comment.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-16
 */
@Data
@ApiModel(value = "InformRecordVo", description = "")
public class InformRecordVo {

    private Long id;

    @ApiModelProperty(value = "业务类型：2-帖子 ")
    private Integer taskType;

    @ApiModelProperty(value = "业务id task_type=2时，为帖子id")
    private Long taskId;

    @ApiModelProperty(value = "业务名称")
    private String taskName;

    @ApiModelProperty(value = "1-评论 2-回复")
    private Integer type;

    @ApiModelProperty(value = "1:上架 2:下架")
    private Integer status;

    @ApiModelProperty(value = "评论回复id")
    private Long commentId;

    @ApiModelProperty(value = "举报描述（理由）")
    private String description;

    @ApiModelProperty(value = "举报附件")
    private List<TaskAppendixVo> taskAppendixVos;

    @ApiModelProperty(value = "举报的回复内容")
    private InformCommentVo informCommentVo;

    @ApiModelProperty(value = "举报人id")
    private Long createById;

    @ApiModelProperty(value = "举报人用户名")
    private String createByName;

    @ApiModelProperty(value = "举报时间")
    private Date createTime;

    @ApiModelProperty(value = "用户头像")
    private String  userAvatar;



}
