package com.yizhi.comment.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "ManageCommentVo", description = "管理端评论回复")
public class ManageCommentVo {

    @ApiModelProperty(value = "序号")
    private Integer num;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "1:评论、2-回复")
    private Integer type;

    @ApiModelProperty(value = "业务id")
    private Long taskId;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "评论人")
    private String commentator;

    @ApiModelProperty(value = "评论人真实姓名")
    private String fullName;

    @ApiModelProperty(value = "评论人头像")
    private String photo;

    @ApiModelProperty(value = "评论内容")
    private String content;

    @ApiModelProperty(value = "评论时间")
    private Date createTime;

    @ApiModelProperty(value = "评论时间string格式")
    private String createTimeString;

    @ApiModelProperty(value = "被@的人用户id")
    private Long beAnswerId;

    @ApiModelProperty(value = "被@的人用户名")
    private String beAnswerName;

    @ApiModelProperty(value = "评论id")
    private Long commentId;

    @ApiModelProperty(value = "回复父级id 如果是回复评论,则为0")
    private Long replyParentId;

    @ApiModelProperty(value = "当前评论点赞数")
    private Integer commentAdmires;

    @ApiModelProperty(value = "当前回复状态 0:删除 1:上架 2:下架 ")
    private Integer status;

    @ApiModelProperty(value = "是否被禁言")
    private Boolean hasForbidden = false;

    @ApiModelProperty(value = "当前回复状态String")
    private String statusString;


}
