package com.yizhi.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-16
 */
@Data

@TableName("inform_record")
public class InformRecord {

    private static final long serialVersionUID = 1L;


    private Long id;

    
    @TableField("task_type")
    private Integer taskType;

    
    @TableField("task_id")
    private Long taskId;

    
    @TableField("type")
    private Integer type;

    
    @TableField("comment_id")
    private Long commentId;

    
    private Integer status;

    
    private Integer deleted;

    
    private String description;

    
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;

    @TableField("org_id")
    private Long orgId;


}
