package com.yizhi.comment.application.feign;

import com.yizhi.comment.application.vo.domain.PdfPagesVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "comment", contextId = "PdfPagesClient")
public interface PdfPagesClient {

	@PostMapping("/remote/pdfPages/save")
	public boolean save(@RequestBody List<PdfPagesVo> pdfPageVos);
	
	@GetMapping("/remote/pdfPages/list")
	public List<PdfPagesVo> list(@RequestParam("bizId")Long bizId, @RequestParam("bizType")Integer bizType);
}
