package com.yizhi.comment.application.vo;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotations.TableField;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PdfVO implements Serializable{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "源文件url")
    private String originalFileUrl;

    @ApiModelProperty(value = "源文件名，带后缀")
    private String originalFile;
    
    private Long createById;
    
    @TableField("company_id")
    private Long companyId;

    @TableField("site_id")
    private Long siteId;
    
    private Long bizId;
    
    private Integer bizType;
}
