package com.yizhi.comment.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-16
 */
@Data
@ApiModel(value = "TaskAppendixVo", description = "举报评论附件表")
public class TaskAppendixVo {


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "业务类型 1-评论 2-回复(已弃用) 3-举报 ")
    private Integer taskType;

    @ApiModelProperty(value = "业务id")
    private Long taskId;

    @ApiModelProperty(value = "附件名称 必填")
    private String name;

    @ApiModelProperty(value = "附件大小 必填")
    private Double fileSize;

    @ApiModelProperty(value = "文件后缀名 必填")
    private String fileSuffer;

    @ApiModelProperty(value = "下载路径 必填")
    private String url;

    @ApiModelProperty(value = "附件类型  ：1、文档；2、图片；3、音频；4、视频；5、其他(压缩包)")
    private Integer fileType;

}
