package com.yizhi.comment.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-01-16
 */
@Data
@ApiModel(value = "InformRecordVo", description = "")
@TableName("inform_record")
public class InformRecordVo {

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "业务类型：2-帖子 ")
    
    private Integer taskType;

    @ApiModelProperty(value = "业务id task_type=2时，为帖子id")
    
    private Long taskId;

    @ApiModelProperty(value = "0-帖子 1-评论 2-回复")
    
    private Integer type;

    @ApiModelProperty(value = "评论回复id")
    
    private Long commentId;

    @ApiModelProperty(value = "1:上架 2:下架")
    private Integer status;

    @ApiModelProperty(value = "0:举报 1:移除举报")
    private Integer deleted;

    @ApiModelProperty(value = "举报描述")
    private String description;

    @ApiModelProperty(value = "举报人id")
    
    private Long createById;

    
    private String createByName;

    @ApiModelProperty(value = "举报时间")
    
    private Date createTime;

    
    private Long updateById;

    
    private String updateByName;

    
    private Date updateTime;

    
    private Long companyId;

    
    private Long siteId;

    
    private Long orgId;


}
