package com.yizhi.comment.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 评论点赞记录表
 * </p>
 *
 * @author yizhi123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "NewCommentAdmireVo", description = "评论点赞记录表")
@TableName("new_comment_admire")
public class NewCommentAdmireVo {

    private static final long serialVersionUID = 1L;


	private Long Id;

    @ApiModelProperty(value = "点赞人id")
	
	private Long accountId;

    @ApiModelProperty(value = "评论或帖子id")
	
	private Long commentId;

    @ApiModelProperty(value = "业务类型 1评论 2帖子")
	
	private Integer bizType;
    
	
	private Long createById;

	
	private String createByName;

	
	private Date createTime;

	
	private Long updateById;

	
	private String updateByName;

	
	private Date updateTime;

    @ApiModelProperty(value = "0:取消 1:点赞")
	private Integer state;



}
